function [meanrange1,numb,M] = rain(sigma1,time);

M=50;%user define, number of rangea to find stress cycles
numb = zeros(M-1,606);
meanrange1= zeros(M-1,606);
for l=1:606
    tp= dat2tp(sigma1(:,l),0,'none'); % defining turning points
    RFcstress = tp2rfc(tp); % rainflow cycles from turning points
    range = RFcstress(:,2)- RFcstress(:,1); % stessrange of each cycle in MPa
    if length(range) < 1
        range1 = 0;
    else
    minimum_r=min(range);
    maximum_r=max(range);
    range1=linspace(minimum_r,maximum_r,M);
    
    for i=1:M-1
        meanrange1(i,l)=(range1(i)+range1(i+1))/2;
        for j = 1:length(range)
            if range(j)>= range1(i) && range(j)<=range1(i+1)
                numb(i,l)= numb(i,l)+1;                         % numer of occurence for each cycle
            end
        end
    end
    end
    %output=[meanrange1;numb]';
end
end

