function [sigma1,time] = sigma(elmfor,phi);
time = elmfor(:,1);
nodes = elmfor(1,:);
A = 0.0091;
Wy = 0.0012785;    
Wz = Wy;
k =[2:10:length(nodes)];
for s=1:length(k)
    Nx(:,s) = elmfor(:,k(s));
    My(:,s) = elmfor(:,k(s)+2);
    Mz(:,s) = elmfor(:,k(s)+4);
    
    sigma1(:,s) =  (Nx(:,s)/A + (My(:,s)/Wy)*cos(phi) - (Mz(:,s)/Wz)*sin(phi));
end
sigma1=sigma1/1000; % to get MPa instead of kPa
end


